<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:15 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.jvm (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.gradle.jvm (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/ivy/package-summary.html">Prev Package</a></li>
<li><a href="../../../org/gradle/jvm/application/scripts/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/jvm/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<p><a href="../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
</p>
<h1 title="Package" class="title">Package&nbsp;org.gradle.jvm</h1>
<div class="docSummary">
<div class="block">Types for support of JVM runtime.</div>
</div>
<p>See:&nbsp;<a href="#package_description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="packageSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/gradle/jvm/ClassDirectoryBinarySpec.html" title="interface in org.gradle.jvm">ClassDirectoryBinarySpec</a></td>
<td class="colLast">
<div class="block">An exploded binary containing resources and compiled class files.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/gradle/jvm/Classpath.html" title="interface in org.gradle.jvm">Classpath</a></td>
<td class="colLast">
<div class="block">A collection of files to be used as a class path.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/gradle/jvm/JarBinarySpec.html" title="interface in org.gradle.jvm">JarBinarySpec</a></td>
<td class="colLast">
<div class="block">Definition of a Jar file binary that is to be built by Gradle.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/gradle/jvm/JarBinarySpec.TasksCollection.html" title="interface in org.gradle.jvm">JarBinarySpec.TasksCollection</a></td>
<td class="colLast">
<div class="block">Provides access to key tasks used for building the binary.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/gradle/jvm/JvmApiSpec.html" title="interface in org.gradle.jvm">JvmApiSpec</a></td>
<td class="colLast">
<div class="block">Specifies the packages that constitute the API of a library.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/gradle/jvm/JvmBinarySpec.html" title="interface in org.gradle.jvm">JvmBinarySpec</a></td>
<td class="colLast">
<div class="block">Represents a binary artifact that is the result of building a jvm component.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/gradle/jvm/JvmComponentSpec.html" title="interface in org.gradle.jvm">JvmComponentSpec</a></td>
<td class="colLast">
<div class="block">Definition of a software component that is to be built by Gradle to run a on JVM platform.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/gradle/jvm/JvmLibrary.html" title="interface in org.gradle.jvm">JvmLibrary</a></td>
<td class="colLast">
<div class="block">A Library component that runs on the Java Virtual Machine.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/gradle/jvm/JvmLibrarySpec.html" title="interface in org.gradle.jvm">JvmLibrarySpec</a></td>
<td class="colLast">
<div class="block">Definition of a JVM library component that is to be built by Gradle.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="packageSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/gradle/jvm/JvmByteCode.html" title="class in org.gradle.jvm">JvmByteCode</a></td>
<td class="colLast">
<div class="block">LanguageOutputType marking Jvm byte code.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/gradle/jvm/JvmResources.html" title="class in org.gradle.jvm">JvmResources</a></td>
<td class="colLast">
<div class="block">LanguageOutputType marking Jvm Resource Output</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package_description">
<!--   -->
</a>
<h2 title="Package org.gradle.jvm Description">Package org.gradle.jvm Description</h2>
<div class="block">Types for support of JVM runtime.</div>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/ivy/package-summary.html">Prev Package</a></li>
<li><a href="../../../org/gradle/jvm/application/scripts/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/jvm/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
